Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::Current Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::Current:

[legend]
Collaboration diagram for PortableServer::Current:

[legend]
List of all members.

## Public Types
typedef Current_ptr | _ptr_type
typedef Current_var | _var_type
## Public Methods
virtual::PortableServer::POA_ptr | get_POA (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::Current::NoContext )
virtual::PortableServer::ObjectId * | get_object_id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::Current::NoContext )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
Current_ptr | _duplicate (Current_ptr obj)
Current_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Current_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Public Attributes
static::CORBA::TypeCode_ptr | _tc_NoContext
## Protected Methods
| Current (void)
virtual | ~Current (void)
## Private Methods
| Current (const Current &)
void | operator= (const Current &)

## Member Typedef Documentation

typedef Current_ptr PortableServer::Current::_ptr_type

| Reimplemented from CORBA::Current.

typedef Current_var PortableServer::Current::_var_type

| Reimplemented from CORBA::Current.

## Constructor & Destructor Documentation

PortableServer::Current::Current | ( | void |  | ) | `[protected]`

| Reimplemented from CORBA::Current.

PortableServer::Current::~Current | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from CORBA::Current.

PortableServer::Current::Current | ( | const Current & |  | ) | `[private]`

| Reimplemented from CORBA::Current.

## Member Function Documentation

PortableServer::Current_ptr PortableServer::Current::_duplicate | ( | Current_ptr | obj | ) | `[static]`

| Reimplemented from CORBA::Current.

const char * PortableServer::Current::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Current.

virtual CORBA::Boolean PortableServer::Current::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from CORBA::Current.

Current_ptr PortableServer::Current::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Current.

Current_ptr PortableServer::Current::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Current.

void PortableServer::Current::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Current.

virtual ::PortableServer::ObjectId* PortableServer::Current::get_object_id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , PortableServer::Current::NoContext )`[pure virtual]`

| Implemented in TAO_POA_Current.

virtual ::PortableServer::POA_ptr PortableServer::Current::get_POA | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , PortableServer::Current::NoContext )`[pure virtual]`

| Implemented in TAO_POA_Current.

CORBA::Boolean PortableServer::Current::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Current.

void PortableServer::Current::operator= | ( | const Current & |  | ) | `[private]`

| Reimplemented from CORBA::Current.

## Member Data Documentation

CORBA::TypeCode_ptr PortableServer::Current::_tc_NoContext

| Initial value:
      &_tc_TAO_tc_PortableServer_Current_NoContext

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp